Subject: bug#52507: [PATCH] Option for vc-delete-file to keep file on disk

From: Juri Linkov <[email-masked]>
Date: Sun, 26 Dec 2021 19:41:37 +0200

> Say you use the current vc-delete-file and then immediately restore it
> from backup (before commiting).  VC will show the file as unregistered.
> I think this behavior of vc should be fixed instead.

Indeed, often vc causes such a state that requires to resort to
git commands like `git restore`, so vc should be improved in this regard.